%global srcname pandas-datareader
%global summary Data readers from the pandas codebase

%global common_description                                                   \
Data readers extracted from the pandas codebase, should be compatible with   \
recent pandas versions.

Name: python-%{srcname}
Version: 0.2.1
Release: 3%{?dist}
Summary: %{summary}
License: BSD

URL: https://github.com/pydata/pandas-datareader
Source0: https://pypi.io/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python2-devel python3-devel

%description
%{common_description}

%package -n python2-%{srcname}
Summary:        %{summary}

# BuildRequires: python2-pandas
# BuildRequires: python2-requests
# BuildRequires: python2-requests-file
# BuildRequires: python2-nose

Requires: python2-pandas
Requires: python2-requests
Requires: python2-requests-file

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}

%package -n python3-%{srcname}
Summary:        %{summary}

# BuildRequires: python3-requests
# BuildRequires: python3-requests-file
# BuildRequires: python3-nose

Requires: python3-pandas
Requires: python3-requests
Requires: python3-requests-file

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{common_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

# %%check
# Run tests in source code dir, some tests are not installed

# pushd %%{buildroot}/%%{python2_sitelib}
# nosetests-%%{python2_version} -v pandas_datareader || :
# popd

# pushd %%{buildroot}/%%{python3_sitelib}
# nosetests-%%{python3_version} -v pandas_datareader || :
# popd

%files -n python2-%{srcname}
%doc README.rst 
%license LICENSE.md
%{python2_sitelib}/pandas_datareader/ 
%{python2_sitelib}/pandas_datareader-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{srcname}
%doc README.rst 
%license LICENSE.md
%{python3_sitelib}/pandas_datareader/ 
%{python3_sitelib}/pandas_datareader-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Oct 18 2016 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2.1-3
- Disable tests for the moment

* Mon Oct 17 2016 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2.1-2
- Improve spec for review

* Sun Oct 02 2016 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2.1-1
- Initial spec
